    import {Secp256k1Program} from '@solana/web3'

public class | source

# Secp256k1Program

## Static Member Summary

Static Public Members
public static get | programId: PublicKey Public key that identifies the Secp256k program |

## Static Method Summary

Static Public Methods
public static | createInstructionWithPrivateKey(params: CreateSecp256k1InstructionWithPrivateKeyParams): TransactionInstruction Create a secp256k1 instruction with private key |
public static | createInstructionWithPublicKey(params: CreateSecp256k1InstructionWithPublicKeyParams): TransactionInstruction Create a secp256k1 instruction with public key |

## Static Public Members

### public static get programId: PublicKey source

Public key that identifies the Secp256k program

## Static Public Methods

### public static createInstructionWithPrivateKey(params: CreateSecp256k1InstructionWithPrivateKeyParams): TransactionInstruction source

Create a secp256k1 instruction with private key

#### Params:

Name | Type | Attribute | Description
params | CreateSecp256k1InstructionWithPrivateKeyParams |  |

#### Return:

TransactionInstruction

### public static createInstructionWithPublicKey(params: CreateSecp256k1InstructionWithPublicKeyParams): TransactionInstruction source

Create a secp256k1 instruction with public key

#### Params:

Name | Type | Attribute | Description
params | CreateSecp256k1InstructionWithPublicKeyParams |  |

#### Return:

TransactionInstruction